export default (function (_ref) {
  var projectId = _ref.projectId;
  return {
    autoCreate: false,
    autoQuery: true,
    selection: false,
    dataKey: null,
    paging: false,
    transport: {
      read: {
        url: "/devops/v1/harbor/".concat(projectId, "/repo/list"),
        method: 'get'
      }
    }
  };
});